#
# Sync with fedora => OK
#

%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:             jboss-remoting
Version:          3.2.4
Release:          %mkrel 2
Summary:          JBoss Remoting 3
Group:            Development/Java
License:          LGPLv2+
URL:              http://www.jboss.org/jbossremoting

# git clone git://github.com/jboss-remoting/jboss-remoting.git
# cd jboss-remoting && git checkout 3.2.4.GA && git checkout-index -f -a --prefix=jboss-remoting-3.2.4.GA/
# rm jboss-remoting-3.2.4.GA/src/test/resources/test-content.bin
# tar -cJf jboss-remoting-3.2.4.GA-CLEAN.tar.xz jboss-remoting-3.2.4.GA
Source0:          %{name}-%{namedversion}-CLEAN.tar.xz

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-injection-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    maven-enforcer-plugin
BuildRequires:    jboss-parent
BuildRequires:    xnio
BuildRequires:    jboss-logmanager
BuildRequires:    jboss-logging-tools
BuildRequires:    junit4
BuildRequires:    apiviz

Requires:         jboss-logmanager
Requires:         jboss-logging-tools
Requires:         xnio
Requires:         jpackage-utils
Requires:         java

%description
The purpose of JBoss Remoting is to provide a general purpose framework
for symmetric and asymmetric communication over a network. It supports
various modes of interaction, including invocations, one way messaging,
and asynchronous callbacks.

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc COPYING.txt

#--------------------------------------------------------------------

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%files javadoc
%{_javadocdir}/%{name}
%doc COPYING.txt

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{namedversion}

%build
# Skipped test because of removing binary content from test dir which is required to run them
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install
# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.2.4-2.mga3
+ Revision: 355146
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 24 2012 dmorgan <dmorgan> 3.2.4-1.mga3
+ Revision: 263189
- New version 3.2.4

* Sun Feb 19 2012 gil <gil> 3.2.2-0.1.GA.mga3
+ Revision: 210917
- update to 3.2.2.GA

* Sun Jan 08 2012 gil <gil> 3.2.0-0.1.CR6.mga2
+ Revision: 193218
- update to 3.2.0.CR6
- imported package jboss-remoting

